Data::Perl::String(3)

NAME
Data::Perl::String - Wrapping class for Perl scalar strings.

VERSION
version 0.002011

SYNOPSIS
  use Data::Perl qw/string/;

  my $string = string("foo\n");

  $string->chomp; # returns 1, $string == "foo"

DESCRIPTION
This class is a simple consumer of the Data::Perl::Role::String role, which provides all functionality. You probably want to look there instead.

AUTHOR
Matthew Phillips <mattp@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.